| Home | Libraries | People | FAQ | More

## Function value

boost::program_options::value

## Synopsis

    template<typename T> typed_value< T > * value();
    template<typename T> typed_value< T > * value(T * v);

## Description

Creates a typed_value<T> instance. This function is the primary method to create value_semantic instance for a specific type, which can later be passed to 'option_description' constructor. The second overload is used when it's additionally desired to store the value of option into program variable.